james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stefano Bagnara (JIRA)" <j...@apache.org>
Subject [jira] Updated: (JDKIM-16) Upgrade to mime4j 0.7 because with 0.5/0.6 there are signing issues.
Date Sun, 13 Jun 2010 15:08:14 GMT

     [ https://issues.apache.org/jira/browse/JDKIM-16?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Stefano Bagnara updated JDKIM-16:
---------------------------------

        Summary: Upgrade to mime4j 0.7 because with 0.5/0.6 there are signing issues.  (was:
Define whether to release against mime4j 0.5 or to wait for 0.7 and upgrade.)
    Description: 
mime4j is only used as an optional dependency for mime parsing. Unfortunately mime4j 0.5 requires
jdkim to extend basic objects to do the header parsing. mime4j 0.7 would be slightly better
for this, but it is not released yet.

Update: due to a bug in mime4j 0.5/0.6 we cannot succesfully sign/verify some message using
that libraries. So we have to move to 0.7-SNAPSHOT.

  was:mime4j is only used as an optional dependency for mime parsing. Unfortunately mime4j
0.5 requires jdkim to extend basic objects to do the header parsing. mime4j 0.7 would be slightly
better for this, but it is not released yet.


> Upgrade to mime4j 0.7 because with 0.5/0.6 there are signing issues.
> --------------------------------------------------------------------
>
>                 Key: JDKIM-16
>                 URL: https://issues.apache.org/jira/browse/JDKIM-16
>             Project: JAMES jDKIM
>          Issue Type: Task
>    Affects Versions: 0.2
>            Reporter: Stefano Bagnara
>            Assignee: Stefano Bagnara
>             Fix For: 0.2
>
>
> mime4j is only used as an optional dependency for mime parsing. Unfortunately mime4j
0.5 requires jdkim to extend basic objects to do the header parsing. mime4j 0.7 would be slightly
better for this, but it is not released yet.
> Update: due to a bug in mime4j 0.5/0.6 we cannot succesfully sign/verify some message
using that libraries. So we have to move to 0.7-SNAPSHOT.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message